> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/general/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/general/introduction-6/configuration.md).

# Configuration

```json
{
    "id": "io.infomaker.wingman",
    "name": "im-wingman",
    "style": "https://plugins.writer.infomaker.io/v1/infomaker/im-wingman/1.1.0/style.css",
    "url": "https://plugins.writer.infomaker.io/v1/infomaker/im-wingman/1.1.0/index.js",
    "mandatory": false,
    "enabled": true,
    "data": {
        "host": "https://ai-eu-west-1.saas-stage.infomaker.io",
        "contextLimit": 2,
        "widgets": [
            "headline",
            "summary",
            "generic"
        ],
        "widgetConfig": {
            "headline": {
                "digital": {
                    "preText": "Suggest headlines for the article provided in XML tag. Analyze the main theme of the article and create a clear and direct headline.",
                    "creativity": 5,
                    "headlineCount": 2,
                    "digitalHeadlineWordCount": 35,
                    "language": "en",
                    "checkBoxDefault": false
                },
                "print": {
                    "preText": "Suggest headlines for the article provided in XML tag. If the article has a strong local connection, reflect this in the headline.",
                    "creativity": 5,
                    "headlineCount": 2,
                    "printHeadlineWordCount": 8,
                    "language": "en",
                    "checkBoxDefault": false
                }
            },
            "summary": {
                "digital": {
                    "preText": "Suggest summaries for the article provided in XML tag. Act as a news editor and your task is to suggest a click bait social media teaser for the article.",
                    "creativity": 5,
                    "summaryCount": 2,
                    "language": "en",
                    "digitalSummaryWordCount": 40,
                    "checkBoxDefault": false
                },
                "print": {
                    "preText": "Suggest summaries for the article provided in XML tag. Act as a news editor and your task is to suggest a summary for the article.",
                    "creativity": 5,
                    "summaryCount": 2,
                    "language": "en",
                    "printSummaryWordCount": 100,
                    "checkBoxDefault": false
                }
            },
            "generic": {
                "digital": {
                    "preText": "You are a newsroom editor whose job is to generate interesing captions, important facts & seo keywords for the text provided in the XML tag.\n\n Please generate the following:\n\n 1. Generate a caption for facebook, keeping the facebook post headline parameters in mind & generate each result with a prefix text Facebook: \n\n 2. Please identify & generate 3 quotes from the text which are not more than 35 words each  & generate each result with a prefix text Quote: \n\n 3. Please analyze the input text ang suggest three SEO keyword improvements with the original word from the text with its line number followed by - and then the new seo optimized suggested word with prefix text SEO: \n\n 4. Do not generate anything else pecified above.",
                    "creativity": 1,
                    "language": "en",
                    "checkBoxDefault": true
                },
                "print": {
                    "preText": "You are a News Editor of a News Firm and your task is to suggest headlines for the article provided in  XML tag.\n\nPlease use professional tone while generating headlines.",
                    "creativity": 5,
                    "language": "en",
                    "checkBoxDefault": false
                }
            }
        }
    }
}
```

## Configuration snippet (minimal)

```json
"data": {
    "host": "https://ai-eu-west-1.saas-stage.infomaker.io",
    "contextLimit": 2,
    "widgets": [
        "headline",
        "summary"
    ],
```

* `contextLimit`: Max. limit of context tags that can be sent in the prompt.
* `widgets`: Widgets that should be enabled in Wingman plugin.

## widgetConfig — headline (example)

```json
"widgetConfig": {
    "headline": {
        "digital": {
            "preText": "Generate a headline",
            "creativity": 5,
            "headlineCount": 2,
            "digitalHeadlineWordCount": 16,
            "language": "en",
            "checkBoxDefault": false
        },
        "print": {
            "preText": "Generate a headline",
            "creativity": 5,
            "headlineCount": 2,
            "printHeadlineWordCount": 12,
            "language": "en",
            "checkBoxDefault": false
        }
    },
```

Field descriptions:

* `preText`: Field where the user sends the custom prompt to generate the headline.
  * Note: In case of AWS Bedrock it is recommended to end your custom prompt with the words “in the XML tag”.
* `creativity`: Determines the temperature, between 1–5 (1 = least random, 5 = most random).
* `headlineCount`: Number of headline results to generate.
* `digitalHeadlineWordCount`: Approximate word count for digital headlines.
* `printHeadlineWordCount`: Approximate word count for print headlines.
* `language`: Result language code.
* `displayCount`: Number of results shown before a "show more" action.
* `checkBoxDefault`: Whether the checkbox is checked by default (`true` or `false`).

## widgetConfig — summary (example)

```json
"summary": {
    "digital": {
        "preText": "Generate a summary",
        "creativity": 5,
        "summaryCount": 2,
        "language": "en",
        "digitalSummaryWordCount": 10,
        "checkBoxDefault": false
    },
    "print": {
        "preText": "Generate a summary",
        "creativity": 5,
        "summaryCount": 2,
        "language": "en",
        "printSummaryWordCount": 40,
        "checkBoxDefault": false
    }
```

Field descriptions:

* `preText`: Field where the user sends the custom prompt to generate the summary.
  * Note: In case of AWS Bedrock it is recommended to end your custom prompt with the words “in the XML tag”.
* `creativity`: Determines the temperature, between 1–5 (1 = least random, 5 = most random).
* `summaryCount`: Number of summary results to generate.
* `digitalSummaryWordCount`: Approximate word count for digital summaries.
* `printSummaryWordCount`: Approximate word count for print summaries.
* `displayCount`: Number of results shown before a "show more" action.
* `checkBoxDefault`: Whether the checkbox is checked by default (`true` or `false`).

## generic — print example

```json
"print": {
    "preText": "You are a News Editor of a News Firm and your task is to suggest headlines for the article provided in  XML tag.\n\nPlease use professional tone while generating headlines.",
    "creativity": 5,
    "language": "en",
    "checkBoxDefault": false
}
```

Field descriptions:

* `preText`: Field where the user sends the custom prompt to generate the generic results.
  * Note: In case of AWS Bedrock it is recommended to end your custom prompt with the words “in the XML tag”.
* `creativity`: Determines the temperature, between 1–5 (1 = least random, 5 = most random).
* `checkBoxDefault`: Whether the checkbox is checked by default (`true` or `false`).

***

Links:

* Previous: <https://docs.navigaglobal.com/wingman/1.1.0-7/functional-details>
* Next: <https://docs.navigaglobal.com/wingman/1.1.0-7/ai-service-data-security-details>

Last updated 1 year ago


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.navigaglobal.com/general/introduction-6/configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
